Skip to content

Get continuous per-side price candlestick history for a market v2

GET
/markets-v2/{marketOnchainId}/price-history
curl --request GET \
--url 'https://api.ethos.network/api/v2/markets-v2/1/price-history?duration=1m&side=trust'
marketOnchainId
required
integer
> 0 <= 9007199254740991
duration
string
default: 1d
Allowed values: 1m 5m 15m 1h 1d 1w 1mo 1y
side
string
default: trust
Allowed values: trust distrust
from
string
to
string

Successful response

Media typeapplication/json
object
duration
required
string
Allowed values: 1m 5m 15m 1h 1d 1w 1mo 1y
metric
required
string
Allowed value: price
side
required
string
Allowed values: trust distrust
values
required
Array<object>
object
timeBucket
required
string
open
required
number
high
required
number
low
required
number
close
required
number

Example

{
"duration": "1m",
"metric": "price",
"side": "trust"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}